/*
 * JNpp - Java bindings for NPP, to be used with JCuda
 *
 * Copyright (c) 2010-2014 Marco Hutter - http://www.jcuda.org
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following
 * conditions:
 *
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 */
package jcuda.jnpp;

/**
 * Border types
 */
public class NppiBorderType
{
    public static final int NPP_BORDER_UNDEFINED = 0;
    public static final int NPP_BORDER_NONE = NPP_BORDER_UNDEFINED;
    public static final int NPP_BORDER_CONSTANT = 1;
    public static final int NPP_BORDER_REPLICATE = 2;
    public static final int NPP_BORDER_WRAP = 3;

    /**
     * Private constructor to prevent instantiation
     */
    private NppiBorderType(){}

    /**
     * Returns a string representation of the given constant
     *
     * @return A string representation of the given constant
     */
    public static String stringFor(int n)
    {
        switch (n)
        {
            //case NPP_BORDER_UNDEFINED: return "NPP_BORDER_UNDEFINED";
            case NPP_BORDER_NONE: return "NPP_BORDER_UNDEFINED/NPP_BORDER_NONE";
            case NPP_BORDER_CONSTANT: return "NPP_BORDER_CONSTANT";
            case NPP_BORDER_REPLICATE: return "NPP_BORDER_REPLICATE";
            case NPP_BORDER_WRAP: return "NPP_BORDER_WRAP";
        }
        return "INVALID NppiBorderType: "+n;
    }
}

